Package org.flowable.cmmn.api.runtime

# Interface VariableInstanceQuery

All Superinterfaces:
  `Query<VariableInstanceQuery,VariableInstance>`

public interface VariableInstanceQuery extends Query<VariableInstanceQuery,VariableInstance>

Author:
  Joram Barrez

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VariableInstanceQuery`
  `caseInstanceId(String caseInstanceId)`
  Only select historic variables with the given case instance.
  `VariableInstanceQuery`
  `excludeLocalVariables()`
  Only select historic process variables which were not set local.
  `VariableInstanceQuery`
  `excludeTaskVariables()`
  Only select historic variables which were not set task-local.
  `VariableInstanceQuery`
  `excludeVariableInitialization()`
  Don't initialize variable values.
  `VariableInstanceQuery`
  `id(String id)`
  Only select a historic variable with the given id.
  `VariableInstanceQuery`
  `orderByVariableName()`
  order historic variables by the name.
  `VariableInstanceQuery`
  `planItemInstanceId(String planItemInstanceId)`
  Only select historic variables with the given plan item instance id.
  `VariableInstanceQuery`
  `taskId(String taskId)`
  Only select historic variables with the given task.
  `VariableInstanceQuery`
  `taskIds(Set<String> taskIds)`
  Only select historic variables whose id is in the given set of ids.
  `VariableInstanceQuery`
  `variableName(String variableName)`
  Only select historic variables with the given variable name.
  `VariableInstanceQuery`
  `variableNameLike(String variableNameLike)`
  Only select historic variables where the given variable name is like.
  `VariableInstanceQuery`
  `variableValueEquals(String variableName, Object variableValue)`
  only select historic variables with the given name and value
  `VariableInstanceQuery`
  `variableValueLike(String variableName, String variableValue)`
  only select historic variables like the given name and value
  `VariableInstanceQuery`
  `variableValueLikeIgnoreCase(String variableName, String variableValue)`
  only select historic variables like the given name and value (case insensitive)
  `VariableInstanceQuery`
  `variableValueNotEquals(String variableName, Object variableValue)`
  only select historic variables that don't have the given name and value

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### id

    VariableInstanceQuery id(String id)
    Only select a historic variable with the given id.

  - ### caseInstanceId

    VariableInstanceQuery caseInstanceId(String caseInstanceId)
    Only select historic variables with the given case instance.

  - ### planItemInstanceId

    VariableInstanceQuery planItemInstanceId(String planItemInstanceId)
    Only select historic variables with the given plan item instance id.

  - ### taskId

    VariableInstanceQuery taskId(String taskId)
    Only select historic variables with the given task.

  - ### taskIds

    VariableInstanceQuery taskIds(Set<String> taskIds)
    Only select historic variables whose id is in the given set of ids.

  - ### variableName

    VariableInstanceQuery variableName(String variableName)
    Only select historic variables with the given variable name.

  - ### variableNameLike

    VariableInstanceQuery variableNameLike(String variableNameLike)
    Only select historic variables where the given variable name is like.

  - ### excludeTaskVariables

    VariableInstanceQuery excludeTaskVariables()
    Only select historic variables which were not set task-local.

  - ### excludeLocalVariables

    VariableInstanceQuery excludeLocalVariables()
    Only select historic process variables which were not set local.

  - ### excludeVariableInitialization

    VariableInstanceQuery excludeVariableInitialization()
    Don't initialize variable values. This is foremost a way to deal with variable delete queries

  - ### variableValueEquals

    VariableInstanceQuery variableValueEquals(String variableName, Object variableValue)
    only select historic variables with the given name and value

  - ### variableValueNotEquals

    VariableInstanceQuery variableValueNotEquals(String variableName, Object variableValue)
    only select historic variables that don't have the given name and value

  - ### variableValueLike

    VariableInstanceQuery variableValueLike(String variableName, String variableValue)
    only select historic variables like the given name and value

  - ### variableValueLikeIgnoreCase

    VariableInstanceQuery variableValueLikeIgnoreCase(String variableName, String variableValue)
    only select historic variables like the given name and value (case insensitive)

  - ### orderByVariableName

    VariableInstanceQuery orderByVariableName()
    order historic variables by the name. Use asc() or desc() afterwards.